org.apache.commons.jelly.tags.core

## Class DefaultTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.core.DefaultTag

All Implemented Interfaces:
  Tag

    public class DefaultTag
    extends TagSupport

A tag which conditionally evaluates its body if none of its preceeding sibling `<case>` tags have been evaluated. This tag must be contained within the body of some `<switch>` tag.

Version:
  $Revision: 155420 $ $Date: 2005-02-26 05:06:03 -0800 $
Author:
  Rodney Waldhoff
See Also:
  `SwitchTag`

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`DefaultTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setFallThru(boolean fallThru)`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultTag

    public DefaultTag()

### Method Detail

#### setFallThru

    public void setFallThru(boolean fallThru)

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`